@import url('https://fonts.googleapis.com/css2?family=Cairo&family=Roboto:wght@400;700&display=swap');
:root{
    --main: #880505; /* Color 1 */
    --secondary: #505050; /* Color 2 */
    --bgLight: #eef0f2; /* Color 3 */
    --emphasis: #ec3f3f; /* Color 4 */
    --contrast: #4a6d7c; /* Color 5 */

    --main-rgb: 136, 5, 5;
    --secondary-rgb: 80, 80, 80;
    --bgLight-rgb: 238, 240, 242;
    --emphasis-rgb: 236, 63, 63;
    --contrast-rgb: 74, 109, 124;

    /* Fonts */
    --titles:"Cairo", sans-serif;
    --text:"Roboto", sans-serif;
}

* {
    border:0;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    outline: none;
    padding: 0;
}

body, html {
    background-color: var(--bgLight);
    font-family:var(--text);
    font-size: 16px;
    scroll-behavior: smooth;
}
footer{
    background-color: var(--contrast);
    color: var(--bgLight);
    font-size: 1em;
    height: 2em;
    line-height: 2em;
    margin-top: -2em;
    text-align: center;
}
h2,h3,h4{
    font-family: var(--titles);
}
h2{
    font-size: 2.5em;
}
h3{
    font-size: 2em;
}
header{
    align-items: center;
    display: flex;
    flex-wrap: wrap;
    height: 5.5rem;
    justify-content: space-between;
    padding: 0 1.75rem 0 1rem;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 10;
}
header h1{
    height: calc(100% - 1rem);
}
header h1 a{
    display: block;
    height: 100%;
    text-indent: -999em;
    width: 25rem;
}
header.header-dark h1 a{
    background: url(../img/CIGEO_Web.svg) no-repeat center/contain;
}
header.header-light h1 a{
    background: url(../img/CIGEO_Web_light.svg) no-repeat center/contain;
}
header nav ul{
    align-items: center;
    display: flex;
    list-style: none;
}
header nav ul a{
    display: block;
    font-family: var(--titles);
    font-size: 1.1em;
    padding: 1rem 1.5rem;
    text-align: center;
    text-decoration: none;
}
header.header-dark nav ul a{
    color: var(--contrast);
}
header.header-light nav ul a{
    color: var(--bgLight);
}
main {
    scroll-snap-type: y mandatory; 
    overflow-y: scroll; 
    height: 100vh;
}
section#home{
    position: relative;
}
section#home video{
    display: block;
    height: 100%;
    left: 0;
    mix-blend-mode: luminosity;
    object-fit: cover;
    opacity: .1;
    position: absolute;
    top: 0;
    width: 100%;
}
section#home .content{
    z-index: 1;
}
section#home .content blockquote{
    color: var(--bgLight);
    font-family: var(--titles);
    font-size: 6vmin;
    font-weight: bold;
    line-height: 1.2;
}
section#services{
    display: block;
    height: auto;
}
ul.services-list{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: .5em;
    list-style: none;
}
ul.services-list li a{
    align-items: center;
    background-color: var(--contrast);
    backdrop-filter: blur(6px);
    border-radius: .33em;
    color: var(--bgLight);
    display: flex;
    flex-direction: column;
    gap: .5em;
    justify-content: center;
    mix-blend-mode: hard-light;
    padding: 1em .5em .75em;
    text-decoration: none;
}
ul.services-list li a:hover{
    mix-blend-mode: screen;
}
ul.services-list li a img{
    height: 3em;
}
.clients {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    row-gap: 1.5em;
    column-gap: 6em;
    list-style: none;
    padding: 0;
    margin: 2em auto 0;
}
.clients li {
    display: flex;
    justify-content: center; 
    align-items: center;
}
.clients img {
    max-width: 100%; 
    height: auto; 
}
.content {
    margin: 0 0 0 25%;
    padding: 5em 0 3em 2em;
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
    width: 60%;
}
.content p,
.content ol,
.content ul{
    font-size: 1.2em;
    line-height: 1.3;
}
.content ul:not(.services-list){
    margin:2em;
}
.content ul li{
    margin-bottom: 1em;
}
.content p:not(:last-child){
    margin-bottom: 1em;
}
.fade-out {
    opacity: 0;
}
.logo-container {
    left: 7vw;
    pointer-events: none;
    position: fixed;
    top: 50%;
    transform: translateY(-50%);
    z-index: 100;
}
.logo-container .icon,
.logo-container .logo {
    height: auto;
}
.logo-container.hidden {
    left: -30vw;
}
.logo-container .icon{
    margin: 0 0 0 4vw;
    width: 15vw;
}
.logo-container .logo {
    filter: drop-shadow(0.75em .5em 0.75em rgba(79, 3, 3, 0.5));
    width: 25vw;
}
.section, .service { 
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    scroll-snap-align: start;
}
.service {
    background-size: cover;
    background-attachment: fixed;
    scroll-snap-align: start;
    position: relative;
}
.wide-content .content {
    margin: 0 auto;
    padding: 5em 0 3em 2em;
    width: 100%;
}

#home{
    background: linear-gradient(to right, #ec3f3f, #880505);
}
#cigeo{
    background:var(--bgLight) url(../img/01-about-us.png) center/cover no-repeat;
    background-blend-mode: soft-light;
}
#contact{
    background:var(--bgLight) url(../img/05-contacto.jpg) center/cover no-repeat;
}
#cigeo h2,
#clients h2,
#contact h2{
    color: var(--main);
}
#clients .content,
#contact .content{
    color: var(--secondary);
}
#clients .content{
    max-width: 1000px;
}
#contact .content{
    text-align: center;
    padding: 5em 2em;
    width: 50%;
}
#services .content{
    color: var(--bgLight);
}
.button{
    align-items: center;
    display: flex;
    justify-content: center;
    text-decoration: none;
    transition: all 250ms ease-in-out;
}
.button.button-primary{
    border: 2px solid var(--contrast);
    color: var(--contrast);
    border-radius: .33em;
}
.button.button-primary:hover{
    border: 2px solid var(--main);
    color: var(--main);
}
.button.button-icon{
    display: inline-flex;
    gap: 1em;
    padding: 1em 1.5em;
}
.service{
    background-attachment: fixed;
}
.service#services-intro{
    background:var(--contrast) url(../img/02-services.jpg) center bottom/cover no-repeat;
    background-blend-mode: soft-light;
}
.service#service-1 { 
    background: linear-gradient(to left, rgba(var(--contrast-rgb), 1), rgba(var(--contrast-rgb), 0)),
        var(--contrast) url(../img/03-01-services-education.png) center bottom/cover no-repeat;
    background-blend-mode: multiply;
    background-attachment: fixed;
}
.service#service-2 {
    background: linear-gradient(to left, rgba(var(--main-rgb), .5), rgba(var(--main-rgb), 1)),
    var(--contrast) url(../img/03-02-services-development.jpg) center bottom/cover no-repeat;
    background-blend-mode: soft-light;
    background-attachment: fixed;
}
.service#service-3 {
    background: linear-gradient(to bottom, rgba(var(--emphasis-rgb), .5), rgba(var(--emphasis-rgb), 1)),
    var(--contrast) url(../img/03-03-services-geotechnology.jpg) center bottom/cover no-repeat;
    background-blend-mode: soft-light;
    background-attachment: fixed;
}
.service#service-4 {
    background: linear-gradient(to right, rgba(var(--emphasis-rgb), .5), rgba(var(--main-rgb), 1)),
    var(--contrast) url(../img/03-04-services-ide.jpg) center bottom/cover no-repeat;
    background-blend-mode: soft-light;
    background-attachment: fixed;
}
.service#service-5 {
    background: linear-gradient(to right, rgba(var(--main-rgb), .75), rgba(var(--emphasis-rgb), 1)),
    var(--contrast) url(../img/03-05-services-design.jpg) center bottom/cover no-repeat;
    background-blend-mode: soft-light;
    background-attachment: fixed;
}
.service#service-6 {
    background: linear-gradient(to right, rgba(var(--main-rgb), .75), rgba(var(--emphasis-rgb), 1)),
    var(--contrast) url(../img/03-06-services-actuary.jpg) center bottom/cover no-repeat;
    background-blend-mode: soft-light;
    background-attachment: fixed;
}


/* Para soporte móvil */
@media (max-width: 768px) {
    header.header-dark h1 a{
        background: url(../img/CIGEO_Web_m.svg) no-repeat center/contain;
    }
    header.header-light h1 a{
        background: url(../img/CIGEO_Web_light_m.svg) no-repeat center/contain;
    }
    .logo {
        width: 100px;
    }
    .logo-container {
        display: none;
    }
    h2{
        font-size: 2.25em;
        line-height: 1;
        margin-bottom: .5em;
    }
    h3{
        line-height: 1;
        margin-bottom: .5em;
    }
    header {
        height: 4rem;
        padding: 0 .5rem;
    }
    header h1 a {
        width: 10rem;
    }
    header nav ul a {
        padding: 0.5rem;
        font-size: 0.9em;
    }
    .logo-container {
        left: 5vw;
    }
    .logo-container .icon,
    .logo-container .logo {
        width: 20vw;
    }
    .content ul.clients {
        grid-template-columns: repeat(2, 1fr);
        margin: 1em auto 0;
    }
    .content {
        margin: 0 1rem;
        padding: 3em 0 2em 1em;
        width: auto;
    }
    section#home .content blockquote{
        font-size: 10vmin;
    }
    .services-list {
        grid-template-columns: 1fr;
    }
    .clients {
        grid-template-columns: 1fr;
        row-gap: 1em;
        column-gap: 2em;
    }
    .clients img {
        width: 80%;
    }
    .content ul li {
        margin-bottom: 0.5em;
    }
    .content p,
    .content ol,
    .content ul {
        font-size: 1em;
    }
    .content p:not(:last-child) {
        margin-bottom: 0.5em;
    }
    .button.button-icon {
        padding: 0.5em 1em;
    }
    ul.services-list{
        font-size: .75em;
        grid-template-columns: repeat(2, 1fr);
    }
    #contact .content{
        width: 100%;
    }
    .wide-content .content{
        padding: 1em;
    }
}
